<!doctype html>
<html lang="en-US">
  <head>
    <script>
      window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
      ga('create', 'UA-7430979-7', 'auto');
      ga('set', 'anonymizeIp', true);

      ga('require', 'cleanUrlTracker');
      ga('require', 'impressionTracker', {
		elements: ['pricing']
	  });
      ga('require', 'outboundLinkTracker');

      ga('send', 'pageview');
    </script>
    <script async src="https://www.google-analytics.com/analytics.js"></script>
    <script async src="autotrack.js"></script>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="canonical" href="https://phpbb.pro/pushnotifications/">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <link rel="stylesheet" href="https://phpbb.pro/css/pushnotifications.css" type="text/css" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900">

    <meta name="description" content="phpBB Browser & Mobile Notifications Extension sends notifications from your board to the user's PC or smartphone even if not viewing your board.">
    <title>phpBB Browser & Mobile Notifications Extension</title>
  </head>

  <body>

  <!-- N A V B A R -->
  <nav class="navbar navbar-default navbar-expand-lg fixed-top custom-navbar">
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
		  <span class="icon ion-md-menu"></span>
		</button>
		<span class="nav-logo-mobile"><span class="blue">phpBB</span> Browser & Mobile <b>Notifications</b></span>
		<div class="collapse navbar-collapse" id="navbarNavDropdown">
		  <div class="container">
			<span class="nav-logo-desktop"><span class="blue">phpBB</span> Browser & Mobile <b>Notifications</b></span>
			<ul class="navbar-nav ml-auto nav-right" data-easing="easeInOutExpo" data-speed="1250" data-offset="65">
			  <li class="nav-item nav-custom-link">
				<a class="nav-link" href="https://phpbb.pro/pushnotifications/" title="Go to homepage">Home <i class="icon ion-ios-arrow-forward icon-mobile"></i></a>
			  </li>
			  <li class="nav-item nav-custom-link">
				<a class="nav-link" href="https://phpbb.pro/pushnotifications/#features" title="See highligtht features of the extension">Features <i class="icon ion-ios-arrow-forward icon-mobile"></i></a>
			  </li>
			  <li class="nav-item nav-custom-link">
				<a class="nav-link" href="https://phpbb.pro/pushnotifications/#demo">Demo <i class="icon ion-ios-arrow-forward icon-mobile"></i></a>
			  </li>
			  <li class="nav-item nav-custom-link">
				<a class="nav-link" href="https://phpbb.pro/pushnotifications/#pricing" title="See pricing options">Pricing <i class="icon ion-ios-arrow-forward icon-mobile"></i></a>
			  </li>
			  <li class="nav-item nav-custom-link btn btn-demo-small">
				<a class="nav-link" href="https://phpbb.pro/pushnotifications/#pricing" title="Buy Browser and Mobile Extension now">Buy now <i class="icon ion-ios-arrow-forward icon-mobile"></i></a>
			  </li>
			</ul>
		  </div>
		</div>
	  </nav>
	  <!-- E N D  N A V B A R -->


  <!-- P R I C I N G -->
  <section id="success">
	<div class="container">
		<div class="title-block">
<?php

	$is_phpbb = false;
	if (file_exists('./includes/constants.php'))
	{
		@define('IN_PHPBB', true);
		include('./includes/constants.php');
		if (defined('PHPBB_VERSION'))
		{
			$is_phpbb = true;
		}
	}

	if (!$is_phpbb){
?>
		<h2>Hups!</h2>
		<p>
			This isn't a phpBB installation. Are you sure you uploaded the file to the right folder?
		</p>
<?php
	} else {
		$https = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off') || $_SERVER['SERVER_PORT'] == 443);
		$php = version_compare(PHP_VERSION, '8.1.0', '>=');
		$phpbb = version_compare(PHPBB_VERSION, '3.3.6', '>=');
		$gmp = extension_loaded('gmp');
		$mbstring = extension_loaded('mbstring');
		$curl = extension_loaded('curl');
		$openssl = extension_loaded('openssl');
	if ($https && $php && $phpbb && $gmp && $mbstring && $curl && $openssl){
?>
		<h2>Awesome!</h2>
		<p>
			Your board is ready for Browser and Mobile Notifications Extension!<br><br>
			Go ahead and <a href="https://phpbb.pro/pushnotifications#pricing">purchase a licence</a> for your right now.
		</p>
<?php
	} else {
?>
		<h2>Oh no!</h2>
		<ul>
<?php
	if (!$https) {
		echo '<li>HTTPS is not set for this domain.</li>';
	}
	if (!$php) {
		echo '<li>PHP version is older than 8.1.0.</li>';
	}
	if (!$phpbb) {
		echo '<li>phpBB version is older than 3.3.6.</li>';
	}
	if (!$gmp) {
		echo '<li>GMP PHP extension is not installed.</li>';
	}
	if (!$mbstring) {
		echo '<li>mbstring PHP extension is not installed.</li>';
	}
	if (!$curl) {
		echo '<li>CURL PHP extension is not installed.</li>';
	}
	if (!$openssl) {
		echo '<li>OpenSSL PHP extension is not installed.</li>';
	}
?>
		</ul>
		<p>
			<br><br>This means Browser and Mobile Notifications Extension can't be installed on your board yet.<br><br>
			Contact your host provider to resolve the issues, it shouldn't be a big deal for them.<br><br>
			Once they are done, check this script again to verify your server is ready for the extension.
		</p>
<?php
	}
	}
?>
		</div>
	</div>
	</section>
	<!-- E N D  P R I C I N G -->
  </body>
</html>
